Custom Agent Away Status

Prev Next

Custom Agent Away Status

You need Manage Custom Away Status permission to manage Custom Away Status.

Custom Agent Away Status Config JSON Format

Custom Agent Away Status Config is represented as simple flat JSON objects with the following keys:

Name Type Description
isEnabled bool Whether Custom Away Status is enabled or not.

Get a single Custom Agent Away Status Config

GET global/agentAwayStatusConfig

  • Parameters:

No Parameters

  • Response:

Custom Agent Away Status Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/agentAwayStatusConfig \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": true
} 

Disable the Custom Agent Away Status Config

POST global/agentAwayStatusConfig:disable

  • Parameters:

No Parameters

  • Response:

Custom Agent Away Status Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/agentAwayStatusConfig:disable \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": false
} 

Enable the Custom Agent Away Status Config

POST global/agentAwayStatusConfig:enable

  • Parameters:

No Parameters

  • Response:

Custom Agent Away Status Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/agentAwayStatusConfig:enable \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": true
} 

Custom Agent Away Status JSON Format

Custom Agent Away Status is represented as simple flat JSON objects with the following keys:

Name Type Description
id guid Id of the custom away status.
name string Name of the custom away status.
order integer Order of the custom away status.
isSystem bool Whether the custom away status is system or not.

Get the list of Custom Agent Away Statuses

GET global/agentAwayStatuses

  • Parameters:

No Parameters

  • Response:

An array of Custom Agent Away Status

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/agentAwayStatuses \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": "5827eacf-c08e-4eb9-b09c-00155d081d0b",
      "name": "Away",
      "order": 0,
      "isSystem": true
  }
] 

Get a single Custom Agent Away Status

GET global/agentAwayStatuses/{id}

  • Parameters:

No Parameters

  • Response:

Custom Agent Away Status

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/agentAwayStatuses/5827eacf-c08e-4eb9-b09c-00155d081d0b \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "id": "5827eacf-c08e-4eb9-b09c-00155d081d0b",
  "name": "Away",
  "order": 0,
  "isSystem": true
} 

Create a new Custom Agent Away Status

POST global/agentAwayStatuses

  • Parameters:

Name Type in Required Description
name string body yes Name of the custom away status.
order integer body no Order of the custom away status.
isSystem bool body no Whether the custom away status is system or not.
  • Response:

Custom Agent Away Status

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/agentAwayStatuses \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"name":"Away","order":0,"isSystem":true}' 

Response:

HTTP/1.1 201 Created

{
  "id": "5827eacf-c08e-4eb9-b09c-00155d081d0b",
  "name": "Away",
  "order": 0,
  "isSystem": true
} 

Update the Custom Agent Away Status

PUT global/agentAwayStatuses/{id}

  • Parameters:

Name Type in Required Description
name string body yes Name of the custom away status.
order integer body no Order of the custom away status.
isSystem bool body no Whether the custom away status is system or not.
  • Response:

Custom Agent Away Status

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/agentAwayStatuses/5827eacf-c08e-4eb9-b09c-00155d081d0b \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"name":"Away","order":0,"isSystem":true}' 

Response:

HTTP/1.1 200 OK

{
  "id": "5827eacf-c08e-4eb9-b09c-00155d081d0b",
  "name": "Away",
  "order": 0,
  "isSystem": true
} 

Remove the Custom Agent Away Status

DELETE global/agentAwayStatuses/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/agentAwayStatuses/5827eacf-c08e-4eb9-b09c-00155d081d0b \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.